Modify

Opened 11 years ago

Closed 10 years ago

Last modified 10 years ago

#2416 closed defect (fixed)

Keyboard shortcuts broken

Reported by: anonymous Owned by: anonymous
Priority: major Milestone:
Component: Core Version: latest
Keywords: Cc:

Description

I have the terracer plugin, with keyboard shortcut Shift-T and tageditor plugin, with keyboard shortcut T.

When I press "T", the tageditor is invoked (as expected). But when I press Shift-T, the terracer is invoked, and after small moment (fraction of second), tageditor is invoked too!
I have to dismiss tag editor to get back to terracer dialog.

I think the shortcut handling is broken. Only terracer should be invoked when pressing "Shift-T".

Attachments (0)

Change History (16)

comment:1 Changed 11 years ago by Schusch

I have a keyboard shortcut problem too. I often use(d) Ctrl-Shift-x to change the drawing of the gps-tracks - this doesn't work anymore. It doesn't work with version 1607, 1599, I think it worked last with version 1590 (I don't have versions between 1590 and 1599).

(but now, I can't reset to this version because I always get an error: Fehler beim Lesen der Plugin-Informationsdatei: 0-site-http_josm.openstreetmap.de_plugin.txt.

Setting the zoom level with Ctrl-G (which is part of the utilsplugin) does work ...

any ideas?

comment:2 in reply to:  1 ; Changed 11 years ago by Schusch

now it works again - maybe this was a problem of updating the plugins? I deleted the utilsplugin in my user directory. I swear the keyboard shortcut still didn't work after updating / new download ... but now it does ... I don't have an good idea why.

comment:3 in reply to:  2 Changed 11 years ago by Schusch

there maybe problems in context with viking (0.9.8) on windows (xp) ... (I'm not sure--I had the problem several times--closing viking (some other programs too) helped) - from my point of view this ticket can be closed.

comment:4 Changed 11 years ago by stoecker

Resolution: worksforme
Status: newclosed

comment:5 Changed 11 years ago by Schusch

Resolution: worksforme
Status: closedreopened

reopening the ticket again - keyboard shortcuts working only after changing the setting once in the preferences:

  • lines between gps points are activated while starting up
  • deactivating the lines by ctrl-shift-x doesn't work
  • deactivated lines in the prefs
  • now activating and deactivating the lines works with the keyboard shortcut

when the lines are deactivated during starting josm, the keyboard shortcut works without the workaround

comment:6 Changed 10 years ago by stoecker

Status: reopenednew

This sounds like a conflict. Probably a plugin illegally uses the same shortcut?

comment:7 in reply to:  6 ; Changed 10 years ago by anonymous

hm, updated plugins - still there ... in the keyboard shortcut list of the preferences there is only one ctrl-shift-x to find ... active plugins: measurement (16317), utilsplugin (16162), validator (16346), wmsplugin (16363)

comment:8 in reply to:  7 ; Changed 10 years ago by Schusch

deactivating all plugins (only utilsplugin active) doesn't solve the problem; i still have to open the prefs and change the setupa manualy (when gps-lines are one during startup of josm) - after that, the keyboard shortcut works.

As far as I remember, this is not the only keyboard shortcut with this behaviour, but I don't remember the other(s?) ...

comment:9 in reply to:  8 ; Changed 10 years ago by Schusch

started josm, loaded osm-map, loaded gpx-tracks, tried to change zoom with ctrl-g: error - perhaps related to keyboard-shortcut-problem? (ctrl-g) doesn't work at all now. josm 1741, utilsplugin version see above. Here the error:


Path: trunk
URL: http://josm.openstreetmap.de/svn/trunk
Repository Root: http://josm.openstreetmap.de/svn
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Revision: 1741
Node Kind: directory
Last Changed Author: stoecker
Last Changed Rev: 1741
Last Changed Date: 2009-07-06 17:53:10 +0200 (Mon, 06 Jul 2009)

Memory Usage: 42 MB / 508 MB (8 MB allocated, but free)
Java version: 1.6.0_13

Plugins: utilsplugin
Plugin utilsplugin Version: 16162

java.lang.NoSuchMethodError: org.openstreetmap.josm.gui.MapView.getScale()D

at UtilsPlugin.JumpToAction.showJumpToDialog(JumpToAction.java:48)
at UtilsPlugin.JumpToAction.actionPerformed(JumpToAction.java:160)
at javax.swing.SwingUtilities.notifyAction(Unknown Source)
at javax.swing.JComponent.processKeyBinding(Unknown Source)
at javax.swing.KeyboardManager.fireBinding(Unknown Source)
at javax.swing.KeyboardManager.fireKeyboardAction(Unknown Source)
at javax.swing.JComponent.processKeyBindingsForAllComponents(Unknown Source)
at javax.swing.JComponent.processKeyBindings(Unknown Source)
at javax.swing.JComponent.processKeyEvent(Unknown Source)
at java.awt.Component.processEvent(Unknown Source)
at java.awt.Container.processEvent(Unknown Source)
at java.awt.Component.dispatchEventImpl(Unknown Source)
at java.awt.Container.dispatchEventImpl(Unknown Source)
at java.awt.Component.dispatchEvent(Unknown Source)
at java.awt.KeyboardFocusManager.redispatchEvent(Unknown Source)
at java.awt.DefaultKeyboardFocusManager.dispatchKeyEvent(Unknown Source)
at java.awt.DefaultKeyboardFocusManager.preDispatchKeyEvent(Unknown Source)
at java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(Unknown Source)
at java.awt.DefaultKeyboardFocusManager.dispatchEvent(Unknown Source)
at java.awt.Component.dispatchEventImpl(Unknown Source)
at java.awt.Container.dispatchEventImpl(Unknown Source)
at java.awt.Window.dispatchEventImpl(Unknown Source)
at java.awt.Component.dispatchEvent(Unknown Source)
at java.awt.EventQueue.dispatchEvent(Unknown Source)
at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
at java.awt.EventDispatchThread.run(Unknown Source)

comment:10 in reply to:  9 Changed 10 years ago by Schusch

utilsplugin version 16290 - ctrl-g works again - the other bug is still there

comment:11 Changed 10 years ago by stoecker

Owner: changed from team to anonymous
Status: newneedinfo

Still an issue?

comment:12 in reply to:  11 Changed 10 years ago by avarab@…

Status: needinfonew

Replying to stoecker:

Still an issue?

It's still an issue. I just tested it on r2532. T brings up tag editor, Shift+T brings up tag editor & terracer.

comment:13 Changed 10 years ago by Schusch

confirmed - still an issue

there is still a difference concerning the keyboard shortcuts for drawing lines between gps points

if lines are on and josm is quitted, the next time it is started one has to open the preferences to deselect the lines between the points--the keyboard shortcut does not work (shift-ctrl-x)

if lines are off (deselected) and josm is quitted, the next time it is started one can use the keyboard shortcut to switch them on again

for the record:

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2009-12-01 02:32:09
Last Changed Author: stoecker
Revision: 2555
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2009-11-30 16:10:21 +0100 (Mon, 30 Nov 2009)
Last Changed Rev: 2555

loading measurement
loading openstreetbugs
loading utilsplugin
loading validator
loading wmsplugin
[...]

comment:14 Changed 10 years ago by bastiK

Fixed the shift-T vs. T issue. (In [o20079])

comment:15 Changed 10 years ago by bastiK

Resolution: fixed
Status: newclosed

(In [3027]) fixed #2416 - Keyboard shortcuts broken (shift-ctrl-x issue)

comment:16 in reply to:  15 Changed 10 years ago by Schusch

works - thanks for fixing this :-)

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain anonymous.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.